
# ATLAS GENERATION FRAMEWORK'S BASE SHERPA SETTINGS:
# --------------------------------------------------

BEAMS: 2212
BEAM_ENERGIES: 6500.0

HADRON_DECAYS:
  Max_Proper_Lifetime: 10.0

HEPMC_TREE_LIKE: 1
PRETTY_PRINT: Off
#EXTERNAL_RNG: Atlas_RNG
RANDOM_SEED: 12345

OVERWEIGHT_THRESHOLD: 10
MC@NLO:
  HPSMODE: 0

PARTICLE_DATA:

  24:
    Mass: 80.399
    Width: 2.085

  15:
    Mass: 1.777
    Width: 2.26735e-12

  23:
    Mass: 91.1876
    Width: 2.4952

  5:
    Mass: 4.95
    Width: 0.

  6:
    Mass: 1.725E+02
    Width: 1.32E+00

EW_SCHEME: UserDefined
SIN2THETAW: 0.23113

HARD_DECAYS:
  Enabled: true
  Channels:
    6,24,5:  { Width: 1.32 }
    -6,-24,-5:  { Width: 1.32 }
    25,5,-5:  { Width: 2.35e-3 }
    25,15,-15:  { Width: 2.57e-4 }
    25,13,-13:  { Width: 8.91e-7 }
    25,4,-4:  { Width: 1.18e-4 }
    25,3,-3:  { Width: 1.00e-6 }
    25,21,21:  { Width: 3.49e-4 }
    25,22,22:  { Width: 9.28e-6 }
    24,2,-1:  { Width: 0.7041 }
    24,4,-3:  { Width: 0.7041 }
    24,12,-11:  { Width: 0.2256 }
    24,14,-13:  { Width: 0.2256 }
    24,16,-15:  { Width: 0.2256 }
    -24,-2,1:  { Width: 0.7041 }
    -24,-4,3:  { Width: 0.7041 }
    -24,-12,11:  { Width: 0.2256 }
    -24,-14,13:  { Width: 0.2256 }
    -24,-16,15:  { Width: 0.2256 }
    23,1,-1:  { Width: 0.3828 }
    23,2,-2:  { Width: 0.2980 }
    23,3,-3:  { Width: 0.3828 }
    23,4,-4:  { Width: 0.2980 }
    23,5,-5:  { Width: 0.3828 }
    23,11,-11:  { Width: 0.0840 }
    23,12,-12:  { Width: 0.1663 }
    23,13,-13:  { Width: 0.0840 }
    23,14,-14:  { Width: 0.1663 }
    23,15,-15:  { Width: 0.0840 }
    23,16,-16:  { Width: 0.1663 }

OL_PARAMETERS:
  preset: 2
  write_parameters: 1
OL_PREFIX: /cvmfs/atlas.cern.ch/repo/sw/software/21.6/sw/lcg/releases/LCG_88b/MCGenerators/openloops/2.1.2/x86_64-centos7-gcc62-opt

HEPMC_USE_NAMED_WEIGHTS: true
CSS_REWEIGHT: true
REWEIGHT_SPLITTING_PDF_SCALES: true
REWEIGHT_SPLITTING_ALPHAS_SCALES: true
CSS_REWEIGHT_SCALE_CUTOFF: 5.0
OUTPUT_ME_ONLY_VARIATIONS: true
VARIATIONS_INCLUDE_CV: true
SCALE_VARIATIONS: 4.0*  # 7-point scale variations


# EXAMPLE SHERPA INSTANTON RUN CARD WITH TWEAKS
# ---------------------------------------------
# https://gitlab.com/sherpa-team/sherpa/-/blob/master/Examples/Instanton/LHC_13/Instanton.yaml
# INSTANTON_MIN_MASS: 300.

EVENTS: 10000
#EVT_OUTPUT: 2
SCALES: Democratic
#FRAGMENTATION: None

INSTANTON_XSECS: [
    [  10.7,      0.99,  0.416,  4.59,  4.922E9],
    [  11.4,      1.04,  0.405,  4.68,  3.652E9],
    [  13.4,      1.16,  0.382,  4.90,  1.671E9],
    [  15.7,      1.31,  0.360,  5.13,  728.9E6],
    [  22.9,      1.76,  0.315,  5.44,  85.94E6],
    [  29.7,      2.12,  0.293,  6.02,  17.25E6],
    [  40.8,      2.72,  0.267,  6.47,  2.121E6],
    [  56.1,      3.50,  0.245,  6.92,  229.0E3],
    [  61.8,      3.64,  0.223,  7.28,  72.97E3],
    [  89.6,      4.98,  0.206,  7.67,  2.733E3],
    [ 118.0,      6.21,  0.195,  8.25,  235.4  ],
    [ 174.4,      8.72,  0.180,  8.60,  6.720  ],
    [ 246.9,     11.76,  0.169,  9.04,  0.284  ],
    [ 349.9,     15.90,  0.159,  9.49,  0.012  ],
    [ 496.3,     21.58,  0.150,  9.93,  5.112E-4],
    [ 704.8,     29.37,  0.142, 10.37,  21.65E-6],
    [1001.8,     40.07,  0.135, 10.81,  0.9017E-6],
    [1425.6,     54.83,  0.128, 11.26,  36.45E-9],
    [2030.6,     75.21,  0.122, 11.70,  1.419E-9],
    [2895.5,    103.4,   0.117, 12.14,  52.07E-12]
]

INSTANTON_NGLUONS_MODIFIER:  1.
INSTANTON_SIGMAHAT_MODIFIER: 1.
INSTANTON_MIN_MASS: 300.
INSTANTON_ALPHAS_FACTOR:     1.
INSTANTON_SCALE_CHOICE:      shat/N
INSTANTON_SCALE_FACTOR:      1.
INSTANTON_INCLUDE_QUARKS:    5 
INSTANTON_B_PRODUCTION_THRESHOLD: 100.
INSTANTON_C_PRODUCTION_THRESHOLD: 20.

# collider setup
#BEAMS: 2212
#BEAM_ENERGIES: 6500
FREEZE_PDF_FOR_LOW_Q: 1
#MI_HANDLER: None

HARD_DECAYS:
    Enabled: False

# me generator settings
ME_SIGNAL_GENERATOR: [Internal]
PROCESSES:
- 21 21 -> 999:      
     Order: {EW: 2, QCD: Any}
